### Type Parameters

### Hierarchy

- LocationSearchOptions

## Index

### Properties

- limit
- options
- origins
- prepare
- remoteOptions
- targetProjection

## Properties

### limit

limit: number

- Defined in src/search/createLocationSearchBloodhound.js:57

The maximum number of results to retrieve per request.

### options

options: BloodhoundOptions<Results>

- Defined in src/search/createLocationSearchBloodhound.js:62

Optional Bloodhound options. If `undefined`, the default Bloodhound config will be used.

### origins

origins: string

- Defined in src/search/createLocationSearchBloodhound.js:58

A comma separated list of origins. Possible origins are: zipcode,gg25,district,kantone,gazetteer,address,parcel Per default all origins are used.

### prepare

prepare: ((arg0: string, arg1: JQueryAjaxSettings) => JQueryAjaxSettings)

- Defined in src/search/createLocationSearchBloodhound.js:66

#### Type declaration

- - (arg0: string, arg1: JQueryAjaxSettings): JQueryAjaxSettings

  - Optional function to prepare the request.

    #### Parameters

    - ##### arg0: string

    - ##### arg1: JQueryAjaxSettings

    #### Returns JQueryAjaxSettings

### remoteOptions

remoteOptions: RemoteOptions<Results>

- Defined in src/search/createLocationSearchBloodhound.js:64

Optional Bloodhound remote options. Only used if `remote` is not defined in `options`.

### targetProjection

targetProjection: Projection

- Defined in src/search/createLocationSearchBloodhound.js:61

Target projection.

Generated using TypeDoc